eoSimpleEDA(3)

NAME
eoSimpleEDA - eoSimpleEDA: a very simple Estimation of Distribution Algorithm

SYNOPSIS

#include <eoSimpleEDA.h>

Inherits eoEDA< EOT >< EOT >.

  Public Member Functions
eoSimpleEDA (eoDistribUpdater< EOT > &_update, eoEvalFunc< EOT > &_eval, unsigned _popSize, eoContinue< EOT > &_continuator)
Ctor from an eoDistribUpdater ...
virtual void operator() (eoDistribution< EOT > &_distrib)
The algorithm: generate pop from distrib, evaluate pop, update distrib.

  Private Attributes
eoDistribUpdater< EOT > & update
eoEvalFunc< EOT > & eval
unsigned popSize
eoContinue< EOT > & continuator

Detailed Description

  template<class EOT> class eoSimpleEDA< EOT >
eoSimpleEDA: a very simple Estimation of Distribution Algorithm The algorithm that evolves a probability distribution on the spaces of populations with the loop generate a population from the current distribution evaluate that population update the distribution

Definition at line 46 of file eoSimpleEDA.h.

Constructor & Destructor Documentation

  template<class EOT> eoSimpleEDA< EOT >::eoSimpleEDA (eoDistribUpdater< EOT > & _update, eoEvalFunc< EOT > & _eval, unsigned _popSize, eoContinue< EOT > & _continuator) [inline]

Ctor from an eoDistribUpdater ...

plus an eoEval and eoContinue of course

Definition at line 53 of file eoSimpleEDA.h.

Author

Generated automatically by Doxygen for EO from the source code.